Name:		gnomint
Version:	0.5.3
Release:	1%{?dist}
Summary:	Graphical x509 Certification Authority management tool

Group:		Applications/System
License:	GPLv3
URL:		http://gnomint.sourceforge.net/
Source0:	http://downloads.sourceforge.net/gnomint/gnomint-0.5.3.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gnutls-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	GConf2-devel
BuildRequires:	libglade2-devel
BuildRequires:	gettext
BuildRequires:	libgcrypt-devel
BuildRequires:	desktop-file-utils
BuildRequires:	perl-XML-Parser
BuildRequires:	sqlite-devel >= 3

Requires:	gnutls >= 2

%description
Certification Authority management made easy.

gnoMint is a x509 Certification Authority management tool for
GTK/Gnome environments.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%postun
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS MAINTAINERS INSTALL
%doc ChangeLog BUGS
%{_bindir}/%{name}
%{_bindir}/%{name}-upgrade-db
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%changelog
* Sun Sep 21 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-1
- initial version

